Show / Hide Table of Contents

Constructor Scene

Scene()

Initializes a new instance of the Scene class with a global SceneViewingMode.

Declaration
public Scene()
See Also
LoadAsync()

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.3 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.0 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.0 - 200.8
Xamarin.Android100.0 - 100.15
Xamarin.iOS100.0 - 100.15
UWP100.0 - 200.8
Relevant samples
Feature layer rendering mode (scene): Render features in a scene statically or dynamically by setting the feature layer rendering mode.
Scene layer (URL): Display an ArcGIS scene layer from a URL.

Scene(Basemap)

Initializes a new instance of the Scene class with a global SceneViewingMode and a Basemap.

Declaration
public Scene(Basemap basemap)
Parameters
Type Name Description
Basemap basemap

The basemap for the scene.

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.3 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.0 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.0 - 200.8
Xamarin.Android100.0 - 100.15
Xamarin.iOS100.0 - 100.15
UWP100.0 - 200.8
Relevant samples
Add an integrated mesh layer: View an integrated mesh layer from a scene service.
Change atmosphere effect: Changes the appearance of the atmosphere in a scene.
Choose camera controller: Control the behavior of the camera in a scene.

Scene(BasemapStyle)

Initializes a new instance of the Scene class with a global SceneViewingMode and a BasemapStyle.

Declaration
public Scene(BasemapStyle basemapStyle)
Parameters
Type Name Description
BasemapStyle basemapStyle

Style of the basemap.

Remarks

These basemaps are secured and access requires either an ApiKey or an authenticated user.

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.10 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.0 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.10 - 200.8
Xamarin.Android100.10 - 100.15
Xamarin.iOS100.10 - 100.15
UWP100.10 - 200.8

Scene(SceneViewingMode)

Initializes a new instance of the Scene class with the specified SceneViewingMode.

Declaration
public Scene(SceneViewingMode viewingMode)
Parameters
Type Name Description
SceneViewingMode viewingMode

The viewing mode for the Scene.

See Also
LoadAsync()

Applies to

Platforms and versions
TargetVersions
.NET300
.NET Windows300
.NET Android300
.NET iOS300

Scene(SceneViewingMode, Basemap)

Initializes a new instance of the Scene class with the specified SceneViewingMode and Basemap.

Declaration
public Scene(SceneViewingMode viewingMode, Basemap basemap)
Parameters
Type Name Description
SceneViewingMode viewingMode

The viewing mode for this Scene.

Basemap basemap

The basemap for the scene.

Applies to

Platforms and versions
TargetVersions
.NET300
.NET Windows300
.NET Android300
.NET iOS300

Scene(SceneViewingMode, BasemapStyle)

Initializes a new instance of the Scene class with the specified SceneViewingMode and BasemapStyle

Declaration
public Scene(SceneViewingMode viewingMode, BasemapStyle basemapStyle)
Parameters
Type Name Description
SceneViewingMode viewingMode

The viewing mode for this Scene.

BasemapStyle basemapStyle

The basemap style.

Remarks

These basemaps are secured and access requires either an ApiKey or an authenticated user.

Applies to

Platforms and versions
TargetVersions
.NET300
.NET Windows300
.NET Android300
.NET iOS300

Scene(SceneViewingMode, SpatialReference)

Initializes a new instance of the Scene class with the specified SceneViewingMode and SpatialReference.

Declaration
public Scene(SceneViewingMode viewingMode, SpatialReference spatialReference)
Parameters
Type Name Description
SceneViewingMode viewingMode

Viewing mode of the Scene.

SpatialReference spatialReference

A spatial reference object.

Applies to

Platforms and versions
TargetVersions
.NET300
.NET Windows300
.NET Android300
.NET iOS300

Scene(SceneViewTilingScheme)

Initializes a new instance of the Scene class with a global SceneViewingMode and a specific tiling scheme.

Declaration
public Scene(SceneViewTilingScheme tilingScheme)
Parameters
Type Name Description
SceneViewTilingScheme tilingScheme

The tiling scheme to use for tiled layers.

Remarks

The tiling scheme determines which cached tiled services can render in this scene. This property does not affect scenes with a local SceneViewingMode.

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.3 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.0 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.3 - 200.8
Xamarin.Android100.3 - 100.15
Xamarin.iOS100.3 - 100.15
UWP100.3 - 200.8

Scene(Uri)

Initializes a new instance of the Scene class with a Uri to a web scene.

Declaration
public Scene(Uri uri)
Parameters
Type Name Description
Uri uri

Uri of the web scene on ArcGIS Online or ArcGIS Enterprise portal.

Remarks

The SceneViewingMode of the scene is determined from the web scene.

If the specified uri is a portal item URL, the underlying PortalItem is created and can be accessed through Item. The URL may be a direct URL to a web scene or the URL of a portal item.

Examples of supported URL formats:

  • The web scene viewer page, for example: https://www.arcgis.com/home/webscene/viewer.html?webscene=579f97b2f3b94d4a8e48a5f140a6639b
  • The web scene item details page, for example: https://www.arcgis.com/home/item.html?id=579f97b2f3b94d4a8e48a5f140a6639b
  • The REST sharing API data, for example: https://www.arcgis.com/sharing/rest/content/items/579f97b2f3b94d4a8e48a5f140a6639b/data
  • The REST sharing API page (with or without the query parameter f=json), for example: https://www.arcgis.com/sharing/rest/content/items/579f97b2f3b94d4a8e48a5f140a6639b?f=json
See Also
PortalItem
Item

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.3 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.2 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.3 - 200.8
Xamarin.Android100.3 - 100.14
Xamarin.iOS100.3 - 100.15
UWP100.3 - 200.8

Scene(Item)

Initializes a new instance of the Scene class a portal item of type WebScene.

Declaration
public Scene(Item item)
Parameters
Type Name Description
Item item

The web scene item. Only PortalItem is supported.

Remarks

The PortalItem automatically loads when the Scene loads. If the loaded Item is not a portal item of type WebScene, the scene fails to load. The SceneViewingMode of the scene is determined from the web scene.

Applies to

Platforms and versions
TargetVersions
.NET Standard 2.0100.3 - 200.8
.NET100.13 - 300.0
.NET Windows100.13 - 300.0
.NET Android200.0 - 300.0
.NET iOS200.0 - 300.0
.NET Framework100.3 - 200.8
Xamarin.Android100.3 - 100.15
Xamarin.iOS100.3 - 100.15
UWP100.3 - 200.8
In this article
Provide feedback
Back to top Copyright © 2025 Esri.